/***************************************************************************
                                  hash.h
                             -------------------                                         
    begin                : Wed Jan 12 2000                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef H_HASH
#define H_HASH

#include "config.h"

struct hash_table;
typedef struct hash_table * hashTable;

struct ht_iterator {
    int bucket;
    int item;
};

typedef struct ht_iterator htIterator;

struct hash_table *htNewTable(int size);
void htFreeHashTable(struct hash_table *ht);
char *htInTable(struct hash_table *t, char *s);
void htAddToTable(struct hash_table *t, char *s);
void htPrintHashStats(struct hash_table *t);
int htNumEntries(struct hash_table *t);

/* these use static storage */
void htIterStart(htIterator * iter);
int htIterGetNext(struct hash_table * t, htIterator * iter, char ** s);

#endif
