/***************************************************************************
                            lcreateusers.h
                          -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef LCREATEUSERS_H
#define LCREATEUSERS_H

#include <qdialog.h>


class QLineEdit;
class QLabel;
class QVBoxLayout;


class LCreateUsers: public QWidget
{
    Q_OBJECT
public:
    LCreateUsers( QWidget * parent, const char * name = 0 );

    void show();

    QString password();
    QString userName();
    QString userLogin();
    QString userPassword();

    bool eventFilter( QObject *, QEvent * );

signals:
    void nextEnabled(QWidget*, bool);

protected:
    void keyPressEvent( QKeyEvent * );

private slots:
    void compare();
    bool checkOK();

private:
    bool acceptableLogin( const QString & );

    QLineEdit * p1;
    QLineEdit * p2;
    QLineEdit * pul; //Primary user login
    QLineEdit * pun;
    QLineEdit * pup1; // Primary user password
    QLineEdit * pup2; // Primary user re-password
    QLabel * message;
    bool hasBeenBad;
};


#endif

