/***************************************************************************
                                letcfiles.h
                             -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		 : Anton Safonov (Maddy)
    author email         : as@bestlinux.net
    url			 : http://www.bestlinux.net
    email		 : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef LETCFILES_H
#define LETCFILES_H

class LVideoCard;
class LMonitor;
class LVideoModeSelector;
class LMouse;
class LUser;
class LKeyboard;
class LLanguage;

#include <qstring.h>
#include <sys/time.h>

class LEtcFiles
{
public:
    LEtcFiles( const char * directory ); // etc for real, tmp for testing
    void writePasswdStuff( const QString &, const QString &, const QString & , const QString &, const QString &, const QString & );

    void writeXConfig( LVideoCard *, LMonitor *, LVideoModeSelector *,
		       LMouse *, LKeyboard *, const QString & mouseLinkName );
    void writeGpmConfig( LMouse * );

		void writeProfile( const char *a_lang );

		void writeConfig( const char *a_lang );

		void enableShadow();

		void substituteCharset( QString &a_str, const QString &oldOne, const QString &newOne );

private:
    QString dir;
    struct timeval time1;
};


#endif








