/***************************************************************************
                                packagelist.h
                             -------------------                                         
    begin                : Mon Dec 27 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef PACKAGELIST_H
#define PACKAGELIST_H

#include "config.h"

class PackageList : public QListView
{
public:
	PackageList( QWidget * parent = 0, const char * name = 0 ):
		QListView( parent, name ){};

	void contentsMouseDoubleClickEvent( QMouseEvent * e ){
    if ( !e )
			return;

    QPoint vp = contentsToViewport(e->pos());

    QListViewItem * i = itemAt( vp );
    emit doubleClicked( i );
	}
};

#endif